/*
 * @package netNotes
 * @author Sebastian Tschan
 * @copyright (c) Sebastian Tschan
 * @license GNU General Public License
 * @link https://blueimp.net/mozilla/
 */

const EXPORTED_SYMBOLS = ['Utils'];

const Cc = Components.classes;
const Ci = Components.interfaces;

let Utils = {
	
	getBrowser: function() {
		try{
			return gBrowser;
		}catch(e){
			return Cc['@mozilla.org/appshell/window-mediator;1']
					.getService(Ci.nsIWindowMediator)
					.getMostRecentWindow('navigator:browser')
					.getBrowser();
		}
	},
	
	getCurrentURI: function() {
		return this.getBrowser().currentURI;
	},
	
	createURI: function(spec, charset) {
		return Cc['@mozilla.org/network/io-service;1']
					.getService(Ci.nsIIOService)
					.newURI(spec, charset, null);
	},

}